Bug 753716 - kde takes a long time to start
Summary: kde takes a long time to start
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 09:37 UTC by Klaas Vantournhout
Modified: 2013-02-13 23:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 23:20:15 UTC
Type: ---


Attachments (Terms of Use)
bootchart of login (593.85 KB, image/png)
2012-01-23 19:19 UTC, Klaas Vantournhout
no flags Details

Description Klaas Vantournhout 2011-11-14 09:37:34 UTC
Description of problem:
When I boot my laptop, I reach the login screen after 5 seconds. However, when entering my password, it takes 1-2 minutes to get into KDE. In fedora 15, the login process was much quicker.

Fedora 16 was a clean install, however the home directory was the one of a fedora 15 installation and I did not remove any kde directories or config files (located in .kde or .local or .config).

I am very willing to figure out where this delay comes from, but I would need some help with this. The only thing I found was something in Xorg.0.log.

The log file repeats a message constantly, with small time intervals (9.871, 9.924, 10.027). Then it is followed by the same message but with bigger skips. (35.067 and 76.077). I expect that this is during login of kde. Afterwards the message does not repeat itself again.

[     9.871] (II) intel(0): EDID vendor "LEN", prod id 16500
[     9.871] (II) intel(0): Printing DDC gathered Modelines:
[     9.871] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[     9.871] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)
[     9.924] (II) intel(0): EDID vendor "LEN", prod id 16500
[     9.924] (II) intel(0): Printing DDC gathered Modelines:
[     9.924] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[     9.924] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)
[     9.974] (II) intel(0): EDID vendor "LEN", prod id 16500
[     9.974] (II) intel(0): Printing DDC gathered Modelines:
[     9.974] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[     9.974] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)
[    10.027] (II) intel(0): EDID vendor "LEN", prod id 16500
[    10.027] (II) intel(0): Printing DDC gathered Modelines:
[    10.027] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[    10.027] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)
[    35.067] (II) intel(0): EDID vendor "LEN", prod id 16500
[    35.068] (II) intel(0): Printing DDC gathered Modelines:
[    35.068] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[    35.068] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)
[    76.077] (II) intel(0): EDID vendor "LEN", prod id 16500
[    76.077] (II) intel(0): Printing DDC gathered Modelines:
[    76.077] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
[    76.077] (II) intel(0): Modeline "1440x900"x0.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)


Version-Release number of selected component (if applicable):
I am currently running kde-4.7.3-1.fc16.x86_64

How reproducible: always

Steps to Reproduce:
1. boot the system
2. log into kde
  
Actual results:
the login process takes a long time

Expected results: the login process should take mere seconds (this was so in f15)

Comment 1 Klaas Vantournhout 2011-11-16 09:06:31 UTC
I just checked the kde startup time for a new user, and it is also horrendously long. Hence, it does not depend on the old kde settings. Could the bug be X-related?

Comment 2 Klaas Vantournhout 2012-01-23 19:19:46 UTC
Created attachment 557037 [details]
bootchart of login

I used bootchart to time the startup and what is going on. Before login I ran bootchartd start and after login I stoped it again.

In the figure you see that for a long time the cpu is not continuously active, but more sporadically. Any reason why that could be?

Comment 3 Fedora End Of Life 2013-01-16 19:34:04 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 23:20:18 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.